#if defined(REMOTECONFIG)
	extern "C" __declspec(dllexport) void ShowRemoteConfig();
	extern "C" __declspec(dllexport) void SetParam(CDevice* pDevice);
	extern "C" __declspec(dllexport) void SetDevConfig(IDevConfig* pDevConfig);
	extern "C" __declspec(dllexport) void SetCustomFont(CFont* pFont);
	extern "C" __declspec(dllexport) void SetChannelNum(int nChanNum);
	extern "C" __declspec(dllexport) void SetDvrMachineType(int nType);
	extern "C" __declspec(dllexport) void SetDvrTypeInfo(char *type);
	extern "C" __declspec(dllexport) void SetDvrIP(CString strIP);
	extern "C" __declspec(dllexport) void SetDvrPort(int nPort);
	extern "C" __declspec(dllexport) void SetAlarmInportNum(int nNum);
	extern "C" __declspec(dllexport) void SetAlarmOutportNum(int nNum);
	extern "C" __declspec(dllexport) void SetPreview(IDevPreview* pPreview1);
	extern "C" __declspec(dllexport) void SetAllPreview(IDevPreview* pPreview[], int nNum);
	extern "C" __declspec(dllexport) void SetStartChannelNum(int nNum);
	extern "C" __declspec(dllexport) void SetPreviewHwnd(HWND hPreviewWnd);
	extern "C" __declspec(dllexport) void SetLanguageID(int nLanguage);
	extern "C" __declspec(dllexport) void SetVideoStandard(int nVideoStandard);
	extern "C" __declspec(dllexport) void SetHDChannels(unsigned int nHDChannels[4]);
	extern "C" __declspec(dllexport) void SetUserID(LONG lUserID);
#else
	extern "C" __declspec(dllimport) void ShowRemoteConfig();
	extern "C" __declspec(dllimport) void SetParam(CDevice* pDevice);
	extern "C" __declspec(dllimport) void SetDevConfig(IDevConfig* pDevConfig);
	extern "C" __declspec(dllimport) void SetCustomFont(CFont* pFont);
	extern "C" __declspec(dllimport) void SetChannelNum(int nChanNum);
	extern "C" __declspec(dllimport) void SetDvrMachineType(int nType);
	extern "C" __declspec(dllimport) void SetDvrTypeInfo(char *type);
	extern "C" __declspec(dllimport) void SetDvrIP(CString strIP);
	extern "C" __declspec(dllimport) void SetDvrPort(int nPort);
	extern "C" __declspec(dllimport) void SetAlarmInportNum(int nNum);
	extern "C" __declspec(dllimport) void SetAlarmOutportNum(int nNum);
	extern "C" __declspec(dllimport) void SetPreview(IDevPreview* pPreview1);
	extern "C" __declspec(dllimport) void SetAllPreview(IDevPreview* pPreview[], int nNum);
	extern "C" __declspec(dllimport) void SetStartChannelNum(int nNum);
	extern "C" __declspec(dllimport) void SetPreviewHwnd(HWND hPreviewWnd);
	extern "C" __declspec(dllimport) void SetLanguageID(int nLanguage);
	extern "C" __declspec(dllimport) void SetVideoStandard(int nVideoStandard);
	extern "C" __declspec(dllimport) void SetHDChannels(unsigned int nHDChannels[4]);
	extern "C" __declspec(dllimport) void SetUserID(LONG lUserID);
#endif